package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
public class VipGroupActivityQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "可用分部")
    private String organId;

    @ApiModelProperty(value = "是否可用")
    private Boolean enable;

    @ApiModelProperty(value = "是否赠送")
    private Boolean giveFlag;

    @ApiModelProperty(value = "赠送类型，VIP、PRACTICE、MEMBER")
    private String giveType;

    @ApiModelProperty(value = "活动状态草稿、进行中")
    private String status;

    @ApiModelProperty(value = "适用学生类型:-1：所有；0：老用户；1：新用户")
    private Integer  applyToStudentType;

    private Integer allowOnlineToOffline;

    private Integer memberFlag;

    private Integer newStudent;

    private Integer activityChannel;

    public Integer getActivityChannel() {
        return activityChannel;
    }

    public void setActivityChannel(Integer activityChannel) {
        this.activityChannel = activityChannel;
    }

    public Integer getMemberFlag() {
        return memberFlag;
    }

    public void setMemberFlag(Integer memberFlag) {
        this.memberFlag = memberFlag;
    }

    public Integer getNewStudent() {
        return newStudent;
    }

    public void setNewStudent(Integer newStudent) {
        this.newStudent = newStudent;
    }

    public Boolean getGiveFlag() {
        return giveFlag;
    }

    public void setGiveFlag(Boolean giveFlag) {
        this.giveFlag = giveFlag;
    }

    public String getGiveType() {
        return giveType;
    }

    public void setGiveType(String giveType) {
        this.giveType = giveType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getAllowOnlineToOffline() {
        return allowOnlineToOffline;
    }

    public void setAllowOnlineToOffline(Integer allowOnlineToOffline) {
        this.allowOnlineToOffline = allowOnlineToOffline;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Integer getApplyToStudentType() {
        return applyToStudentType;
    }

    public void setApplyToStudentType(Integer applyToStudentType) {
        this.applyToStudentType = applyToStudentType;
    }
}
